Loading...
Searching...
No Matches
DRTIonBeamSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTIonBeamSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getBeamDescription (OFString &value, const signed long pos=0) const
| get BeamDescription (300a,00c3)
OFCondition | getBeamName (OFString &value, const signed long pos=0) const
| get BeamName (300a,00c2)
OFCondition | getBeamNumber (OFString &value, const signed long pos=0) const
| get BeamNumber (300a,00c0)
OFCondition | getBeamNumber (Sint32 &value, const unsigned long pos=0) const
| get BeamNumber (300a,00c0)
OFCondition | getBeamType (OFString &value, const signed long pos=0) const
| get BeamType (300a,00c4)
OFCondition | getDeviceSerialNumber (OFString &value, const signed long pos=0) const
| get DeviceSerialNumber (0018,1000)
OFCondition | getEntityLongLabel (OFString &value, const signed long pos=0) const
| get EntityLongLabel (3010,0038)
OFCondition | getFinalCumulativeMetersetWeight (OFString &value, const signed long pos=0) const
| get FinalCumulativeMetersetWeight (300a,010e)
OFCondition | getFinalCumulativeMetersetWeight (Float64 &value, const unsigned long pos=0) const
| get FinalCumulativeMetersetWeight (300a,010e)
OFCondition | getFixationEye (OFString &value, const signed long pos=0) const
| get FixationEye (300a,0150)
OFCondition | getFixationLightAzimuthalAngle (Float32 &value, const unsigned long pos=0) const
| get FixationLightAzimuthalAngle (300a,0356)
OFCondition | getFixationLightPolarAngle (Float32 &value, const unsigned long pos=0) const
| get FixationLightPolarAngle (300a,0358)
OFCondition | getInstitutionAddress (OFString &value, const signed long pos=0) const
| get InstitutionAddress (0008,0081)
OFCondition | getInstitutionName (OFString &value, const signed long pos=0) const
| get InstitutionName (0008,0080)
OFCondition | getInstitutionalDepartmentName (OFString &value, const signed long pos=0) const
| get InstitutionalDepartmentName (0008,1040)
OFCondition | getManufacturer (OFString &value, const signed long pos=0) const
| get Manufacturer (0008,0070)
OFCondition | getManufacturerModelName (OFString &value, const signed long pos=0) const
| get ManufacturerModelName (0008,1090)
OFCondition | getModulatedScanModeType (OFString &value, const signed long pos=0) const
| get ModulatedScanModeType (300a,0309)
OFCondition | getNumberOfBlocks (OFString &value, const signed long pos=0) const
| get NumberOfBlocks (300a,00f0)
OFCondition | getNumberOfBlocks (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBlocks (300a,00f0)
OFCondition | getNumberOfBoli (OFString &value, const signed long pos=0) const
| get NumberOfBoli (300a,00ed)
OFCondition | getNumberOfBoli (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBoli (300a,00ed)
OFCondition | getNumberOfCompensators (OFString &value, const signed long pos=0) const
| get NumberOfCompensators (300a,00e0)
OFCondition | getNumberOfCompensators (Sint32 &value, const unsigned long pos=0) const
| get NumberOfCompensators (300a,00e0)
OFCondition | getNumberOfControlPoints (OFString &value, const signed long pos=0) const
| get NumberOfControlPoints (300a,0110)
OFCondition | getNumberOfControlPoints (Sint32 &value, const unsigned long pos=0) const
| get NumberOfControlPoints (300a,0110)
OFCondition | getNumberOfLateralSpreadingDevices (OFString &value, const signed long pos=0) const
| get NumberOfLateralSpreadingDevices (300a,0330)
OFCondition | getNumberOfLateralSpreadingDevices (Sint32 &value, const unsigned long pos=0) const
| get NumberOfLateralSpreadingDevices (300a,0330)
OFCondition | getNumberOfRangeModulators (OFString &value, const signed long pos=0) const
| get NumberOfRangeModulators (300a,0340)
OFCondition | getNumberOfRangeModulators (Sint32 &value, const unsigned long pos=0) const
| get NumberOfRangeModulators (300a,0340)
OFCondition | getNumberOfRangeShifters (OFString &value, const signed long pos=0) const
| get NumberOfRangeShifters (300a,0312)
OFCondition | getNumberOfRangeShifters (Sint32 &value, const unsigned long pos=0) const
| get NumberOfRangeShifters (300a,0312)
OFCondition | getNumberOfWedges (OFString &value, const signed long pos=0) const
| get NumberOfWedges (300a,00d0)
OFCondition | getNumberOfWedges (Sint32 &value, const unsigned long pos=0) const
| get NumberOfWedges (300a,00d0)
OFCondition | getPatientSupportAccessoryCode (OFString &value, const signed long pos=0) const
| get PatientSupportAccessoryCode (300a,0354)
OFCondition | getPatientSupportID (OFString &value, const signed long pos=0) const
| get PatientSupportID (300a,0352)
OFCondition | getPatientSupportType (OFString &value, const signed long pos=0) const
| get PatientSupportType (300a,0350)
OFCondition | getPrimaryDosimeterUnit (OFString &value, const signed long pos=0) const
| get PrimaryDosimeterUnit (300a,00b3)
OFCondition | getRadiationAtomicNumber (OFString &value, const signed long pos=0) const
| get RadiationAtomicNumber (300a,0304)
OFCondition | getRadiationAtomicNumber (Sint32 &value, const unsigned long pos=0) const
| get RadiationAtomicNumber (300a,0304)
OFCondition | getRadiationChargeState (Sint16 &value, const unsigned long pos=0) const
| get RadiationChargeState (300a,0306)
OFCondition | getRadiationMassNumber (OFString &value, const signed long pos=0) const
| get RadiationMassNumber (300a,0302)
OFCondition | getRadiationMassNumber (Sint32 &value, const unsigned long pos=0) const
| get RadiationMassNumber (300a,0302)
OFCondition | getRadiationType (OFString &value, const signed long pos=0) const
| get RadiationType (300a,00c6)
OFCondition | getReferencedPatientSetupNumber (OFString &value, const signed long pos=0) const
| get ReferencedPatientSetupNumber (300c,006a)
OFCondition | getReferencedPatientSetupNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedPatientSetupNumber (300c,006a)
OFCondition | getReferencedToleranceTableNumber (OFString &value, const signed long pos=0) const
| get ReferencedToleranceTableNumber (300c,00a0)
OFCondition | getReferencedToleranceTableNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedToleranceTableNumber (300c,00a0)
OFCondition | getScanMode (OFString &value, const signed long pos=0) const
| get ScanMode (300a,0308)
OFCondition | getTotalBlockTrayWaterEquivalentThickness (Float32 &value, const unsigned long pos=0) const
| get TotalBlockTrayWaterEquivalentThickness (300a,00f3)
OFCondition | getTotalCompensatorTrayWaterEquivalentThickness (Float32 &value, const unsigned long pos=0) const
| get TotalCompensatorTrayWaterEquivalentThickness (300a,02e3)
OFCondition | getTotalWedgeTrayWaterEquivalentThickness (Float32 &value, const unsigned long pos=0) const
| get TotalWedgeTrayWaterEquivalentThickness (300a,00d7)
OFCondition | getTreatmentDeliveryType (OFString &value, const signed long pos=0) const
| get TreatmentDeliveryType (300a,00ce)
OFCondition | getTreatmentMachineName (OFString &value, const signed long pos=0) const
| get TreatmentMachineName (300a,00b2)
OFCondition | getVirtualSourceAxisDistances (Float32 &value, const unsigned long pos=0) const
| get VirtualSourceAxisDistances (300a,030a)
DRTApplicatorSequenceInRTIonBeamsModule & | getApplicatorSequence ()
| get ApplicatorSequence (300a,0107)
const DRTApplicatorSequenceInRTIonBeamsModule & | getApplicatorSequence () const
| get ApplicatorSequence (300a,0107)
DRTDepthDoseParametersSequence & | getDepthDoseParametersSequence ()
| get DepthDoseParametersSequence (300a,0505)
const DRTDepthDoseParametersSequence & | getDepthDoseParametersSequence () const
| get DepthDoseParametersSequence (300a,0505)
DRTGeneralAccessorySequenceInRTIonBeamsModule & | getGeneralAccessorySequence ()
| get GeneralAccessorySequence (300a,0420)
const DRTGeneralAccessorySequenceInRTIonBeamsModule & | getGeneralAccessorySequence () const
| get GeneralAccessorySequence (300a,0420)
DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence ()
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
const DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence () const
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
DRTIonBeamLimitingDeviceSequence & | getIonBeamLimitingDeviceSequence ()
| get IonBeamLimitingDeviceSequence (300a,03a4)
const DRTIonBeamLimitingDeviceSequence & | getIonBeamLimitingDeviceSequence () const
| get IonBeamLimitingDeviceSequence (300a,03a4)
DRTIonBlockSequence & | getIonBlockSequence ()
| get IonBlockSequence (300a,03a6)
const DRTIonBlockSequence & | getIonBlockSequence () const
| get IonBlockSequence (300a,03a6)
DRTIonControlPointSequence & | getIonControlPointSequence ()
| get IonControlPointSequence (300a,03a8)
const DRTIonControlPointSequence & | getIonControlPointSequence () const
| get IonControlPointSequence (300a,03a8)
DRTIonRangeCompensatorSequence & | getIonRangeCompensatorSequence ()
| get IonRangeCompensatorSequence (300a,02ea)
const DRTIonRangeCompensatorSequence & | getIonRangeCompensatorSequence () const
| get IonRangeCompensatorSequence (300a,02ea)
DRTIonWedgeSequence & | getIonWedgeSequence ()
| get IonWedgeSequence (300a,03aa)
const DRTIonWedgeSequence & | getIonWedgeSequence () const
| get IonWedgeSequence (300a,03aa)
DRTLateralSpreadingDeviceSequence & | getLateralSpreadingDeviceSequence ()
| get LateralSpreadingDeviceSequence (300a,0332)
const DRTLateralSpreadingDeviceSequence & | getLateralSpreadingDeviceSequence () const
| get LateralSpreadingDeviceSequence (300a,0332)
DRTRangeModulatorSequence & | getRangeModulatorSequence ()
| get RangeModulatorSequence (300a,0342)
const DRTRangeModulatorSequence & | getRangeModulatorSequence () const
| get RangeModulatorSequence (300a,0342)
DRTRangeShifterSequence & | getRangeShifterSequence ()
| get RangeShifterSequence (300a,0314)
const DRTRangeShifterSequence & | getRangeShifterSequence () const
| get RangeShifterSequence (300a,0314)
DRTReferencedBolusSequenceInRTIonBeamsModule & | getReferencedBolusSequence ()
| get ReferencedBolusSequence (300c,00b0)
const DRTReferencedBolusSequenceInRTIonBeamsModule & | getReferencedBolusSequence () const
| get ReferencedBolusSequence (300c,00b0)
DRTReferencedDoseSequence & | getReferencedDoseSequence ()
| get ReferencedDoseSequence (300c,0080)
const DRTReferencedDoseSequence & | getReferencedDoseSequence () const
| get ReferencedDoseSequence (300c,0080)
DRTReferencedReferenceImageSequenceInRTIonBeamsModule & | getReferencedReferenceImageSequence ()
| get ReferencedReferenceImageSequence (300c,0042)
const DRTReferencedReferenceImageSequenceInRTIonBeamsModule & | getReferencedReferenceImageSequence () const
| get ReferencedReferenceImageSequence (300c,0042)
DRTSnoutSequence & | getSnoutSequence ()
| get SnoutSequence (300a,030c)
const DRTSnoutSequence & | getSnoutSequence () const
| get SnoutSequence (300a,030c)
OFCondition | setBeamDescription (const OFString &value, const OFBool check=OFTrue)
| set BeamDescription (300a,00c3)
OFCondition | setBeamName (const OFString &value, const OFBool check=OFTrue)
| set BeamName (300a,00c2)
OFCondition | setBeamNumber (const OFString &value, const OFBool check=OFTrue)
| set BeamNumber (300a,00c0)
OFCondition | setBeamType (const OFString &value, const OFBool check=OFTrue)
| set BeamType (300a,00c4)
OFCondition | setDeviceSerialNumber (const OFString &value, const OFBool check=OFTrue)
| set DeviceSerialNumber (0018,1000)
OFCondition | setEntityLongLabel (const OFString &value, const OFBool check=OFTrue)
| set EntityLongLabel (3010,0038)
OFCondition | setFinalCumulativeMetersetWeight (const OFString &value, const OFBool check=OFTrue)
| set FinalCumulativeMetersetWeight (300a,010e)
OFCondition | setFixationEye (const OFString &value, const OFBool check=OFTrue)
| set FixationEye (300a,0150)
OFCondition | setFixationLightAzimuthalAngle (const Float32 value, const unsigned long pos=0)
| set FixationLightAzimuthalAngle (300a,0356)
OFCondition | setFixationLightPolarAngle (const Float32 value, const unsigned long pos=0)
| set FixationLightPolarAngle (300a,0358)
OFCondition | setInstitutionAddress (const OFString &value, const OFBool check=OFTrue)
| set InstitutionAddress (0008,0081)
OFCondition | setInstitutionName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionName (0008,0080)
OFCondition | setInstitutionalDepartmentName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionalDepartmentName (0008,1040)
OFCondition | setManufacturer (const OFString &value, const OFBool check=OFTrue)
| set Manufacturer (0008,0070)
OFCondition | setManufacturerModelName (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerModelName (0008,1090)
OFCondition | setModulatedScanModeType (const OFString &value, const OFBool check=OFTrue)
| set ModulatedScanModeType (300a,0309)
OFCondition | setNumberOfBlocks (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBlocks (300a,00f0)
OFCondition | setNumberOfBoli (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBoli (300a,00ed)
OFCondition | setNumberOfCompensators (const OFString &value, const OFBool check=OFTrue)
| set NumberOfCompensators (300a,00e0)
OFCondition | setNumberOfControlPoints (const OFString &value, const OFBool check=OFTrue)
| set NumberOfControlPoints (300a,0110)
OFCondition | setNumberOfLateralSpreadingDevices (const OFString &value, const OFBool check=OFTrue)
| set NumberOfLateralSpreadingDevices (300a,0330)
OFCondition | setNumberOfRangeModulators (const OFString &value, const OFBool check=OFTrue)
| set NumberOfRangeModulators (300a,0340)
OFCondition | setNumberOfRangeShifters (const OFString &value, const OFBool check=OFTrue)
| set NumberOfRangeShifters (300a,0312)
OFCondition | setNumberOfWedges (const OFString &value, const OFBool check=OFTrue)
| set NumberOfWedges (300a,00d0)
OFCondition | setPatientSupportAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportAccessoryCode (300a,0354)
OFCondition | setPatientSupportID (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportID (300a,0352)
OFCondition | setPatientSupportType (const OFString &value, const OFBool check=OFTrue)
| set PatientSupportType (300a,0350)
OFCondition | setPrimaryDosimeterUnit (const OFString &value, const OFBool check=OFTrue)
| set PrimaryDosimeterUnit (300a,00b3)
OFCondition | setRadiationAtomicNumber (const OFString &value, const OFBool check=OFTrue)
| set RadiationAtomicNumber (300a,0304)
OFCondition | setRadiationChargeState (const Sint16 value, const unsigned long pos=0)
| set RadiationChargeState (300a,0306)
OFCondition | setRadiationMassNumber (const OFString &value, const OFBool check=OFTrue)
| set RadiationMassNumber (300a,0302)
OFCondition | setRadiationType (const OFString &value, const OFBool check=OFTrue)
| set RadiationType (300a,00c6)
OFCondition | setReferencedPatientSetupNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedPatientSetupNumber (300c,006a)
OFCondition | setReferencedToleranceTableNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedToleranceTableNumber (300c,00a0)
OFCondition | setScanMode (const OFString &value, const OFBool check=OFTrue)
| set ScanMode (300a,0308)
OFCondition | setTotalBlockTrayWaterEquivalentThickness (const Float32 value, const unsigned long pos=0)
| set TotalBlockTrayWaterEquivalentThickness (300a,00f3)
OFCondition | setTotalCompensatorTrayWaterEquivalentThickness (const Float32 value, const unsigned long pos=0)
| set TotalCompensatorTrayWaterEquivalentThickness (300a,02e3)
OFCondition | setTotalWedgeTrayWaterEquivalentThickness (const Float32 value, const unsigned long pos=0)
| set TotalWedgeTrayWaterEquivalentThickness (300a,00d7)
OFCondition | setTreatmentDeliveryType (const OFString &value, const OFBool check=OFTrue)
| set TreatmentDeliveryType (300a,00ce)
OFCondition | setTreatmentMachineName (const OFString &value, const OFBool check=OFTrue)
| set TreatmentMachineName (300a,00b2)
OFCondition | setVirtualSourceAxisDistances (const Float32 value, const unsigned long pos=0)
| set VirtualSourceAxisDistances (300a,030a)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTApplicatorSequenceInRTIonBeamsModule | ApplicatorSequence
| ApplicatorSequence (300a,0107) vr=SQ, vm=1, type=3.
DcmShortText | BeamDescription
| BeamDescription (300a,00c3) vr=ST, vm=1, type=3.
DcmLongString | BeamName
| BeamName (300a,00c2) vr=LO, vm=1, type=1.
DcmIntegerString | BeamNumber
| BeamNumber (300a,00c0) vr=IS, vm=1, type=1.
DcmCodeString | BeamType
| BeamType (300a,00c4) vr=CS, vm=1, type=1.
DRTDepthDoseParametersSequence | DepthDoseParametersSequence
| DepthDoseParametersSequence (300a,0505) vr=SQ, vm=1, type=3.
DcmLongString | DeviceSerialNumber
| DeviceSerialNumber (0018,1000) vr=LO, vm=1, type=3.
DcmLongString | EntityLongLabel
| EntityLongLabel (3010,0038) vr=LO, vm=1, type=3.
DcmDecimalString | FinalCumulativeMetersetWeight
| FinalCumulativeMetersetWeight (300a,010e) vr=DS, vm=1, type=1C.
DcmCodeString | FixationEye
| FixationEye (300a,0150) vr=CS, vm=1, type=3.
DcmFloatingPointSingle | FixationLightAzimuthalAngle
| FixationLightAzimuthalAngle (300a,0356) vr=FL, vm=1, type=3.
DcmFloatingPointSingle | FixationLightPolarAngle
| FixationLightPolarAngle (300a,0358) vr=FL, vm=1, type=3.
DRTGeneralAccessorySequenceInRTIonBeamsModule | GeneralAccessorySequence
| GeneralAccessorySequence (300a,0420) vr=SQ, vm=1, type=3.
DcmShortText | InstitutionAddress
| InstitutionAddress (0008,0081) vr=ST, vm=1, type=3.
DcmLongString | InstitutionName
| InstitutionName (0008,0080) vr=LO, vm=1, type=3.
DcmLongString | InstitutionalDepartmentName
| InstitutionalDepartmentName (0008,1040) vr=LO, vm=1, type=3.
DRTInstitutionalDepartmentTypeCodeSequence | InstitutionalDepartmentTypeCodeSequence
| InstitutionalDepartmentTypeCodeSequence (0008,1041) vr=SQ, vm=1, type=3.
DRTIonBeamLimitingDeviceSequence | IonBeamLimitingDeviceSequence
| IonBeamLimitingDeviceSequence (300a,03a4) vr=SQ, vm=1, type=3.
DRTIonBlockSequence | IonBlockSequence
| IonBlockSequence (300a,03a6) vr=SQ, vm=1, type=1C.
DRTIonControlPointSequence | IonControlPointSequence
| IonControlPointSequence (300a,03a8) vr=SQ, vm=1, type=1.
DRTIonRangeCompensatorSequence | IonRangeCompensatorSequence
| IonRangeCompensatorSequence (300a,02ea) vr=SQ, vm=1, type=1C.
DRTIonWedgeSequence | IonWedgeSequence
| IonWedgeSequence (300a,03aa) vr=SQ, vm=1, type=1C.
DRTLateralSpreadingDeviceSequence | LateralSpreadingDeviceSequence
| LateralSpreadingDeviceSequence (300a,0332) vr=SQ, vm=1, type=1C.
DcmLongString | Manufacturer
| Manufacturer (0008,0070) vr=LO, vm=1, type=3.
DcmLongString | ManufacturerModelName
| ManufacturerModelName (0008,1090) vr=LO, vm=1, type=3.
DcmCodeString | ModulatedScanModeType
| ModulatedScanModeType (300a,0309) vr=CS, vm=1, type=1C.
DcmIntegerString | NumberOfBlocks
| NumberOfBlocks (300a,00f0) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfBoli
| NumberOfBoli (300a,00ed) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfCompensators
| NumberOfCompensators (300a,00e0) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfControlPoints
| NumberOfControlPoints (300a,0110) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfLateralSpreadingDevices
| NumberOfLateralSpreadingDevices (300a,0330) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfRangeModulators
| NumberOfRangeModulators (300a,0340) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfRangeShifters
| NumberOfRangeShifters (300a,0312) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfWedges
| NumberOfWedges (300a,00d0) vr=IS, vm=1, type=1.
DcmLongString | PatientSupportAccessoryCode
| PatientSupportAccessoryCode (300a,0354) vr=LO, vm=1, type=3.
DcmShortString | PatientSupportID
| PatientSupportID (300a,0352) vr=SH, vm=1, type=3.
DcmCodeString | PatientSupportType
| PatientSupportType (300a,0350) vr=CS, vm=1, type=1.
DcmCodeString | PrimaryDosimeterUnit
| PrimaryDosimeterUnit (300a,00b3) vr=CS, vm=1, type=1.
DcmIntegerString | RadiationAtomicNumber
| RadiationAtomicNumber (300a,0304) vr=IS, vm=1, type=1C.
DcmSignedShort | RadiationChargeState
| RadiationChargeState (300a,0306) vr=SS, vm=1, type=1C.
DcmIntegerString | RadiationMassNumber
| RadiationMassNumber (300a,0302) vr=IS, vm=1, type=1C.
DcmCodeString | RadiationType
| RadiationType (300a,00c6) vr=CS, vm=1, type=1.
DRTRangeModulatorSequence | RangeModulatorSequence
| RangeModulatorSequence (300a,0342) vr=SQ, vm=1, type=1C.
DRTRangeShifterSequence | RangeShifterSequence
| RangeShifterSequence (300a,0314) vr=SQ, vm=1, type=1C.
DRTReferencedBolusSequenceInRTIonBeamsModule | ReferencedBolusSequence
| ReferencedBolusSequence (300c,00b0) vr=SQ, vm=1, type=1C.
DRTReferencedDoseSequence | ReferencedDoseSequence
| ReferencedDoseSequence (300c,0080) vr=SQ, vm=1, type=3.
DcmIntegerString | ReferencedPatientSetupNumber
| ReferencedPatientSetupNumber (300c,006a) vr=IS, vm=1, type=3.
DRTReferencedReferenceImageSequenceInRTIonBeamsModule | ReferencedReferenceImageSequence
| ReferencedReferenceImageSequence (300c,0042) vr=SQ, vm=1, type=3.
DcmIntegerString | ReferencedToleranceTableNumber
| ReferencedToleranceTableNumber (300c,00a0) vr=IS, vm=1, type=3.
DcmCodeString | ScanMode
| ScanMode (300a,0308) vr=CS, vm=1, type=1.
DRTSnoutSequence | SnoutSequence
| SnoutSequence (300a,030c) vr=SQ, vm=1, type=3.
DcmFloatingPointSingle | TotalBlockTrayWaterEquivalentThickness
| TotalBlockTrayWaterEquivalentThickness (300a,00f3) vr=FL, vm=1, type=3.
DcmFloatingPointSingle | TotalCompensatorTrayWaterEquivalentThickness
| TotalCompensatorTrayWaterEquivalentThickness (300a,02e3) vr=FL, vm=1, type=3.
DcmFloatingPointSingle | TotalWedgeTrayWaterEquivalentThickness
| TotalWedgeTrayWaterEquivalentThickness (300a,00d7) vr=FL, vm=1, type=3.
DcmCodeString | TreatmentDeliveryType
| TreatmentDeliveryType (300a,00ce) vr=CS, vm=1, type=1.
DcmShortString | TreatmentMachineName
| TreatmentMachineName (300a,00b2) vr=SH, vm=1, type=2.
DcmFloatingPointSingle | VirtualSourceAxisDistances
| VirtualSourceAxisDistances (300a,030a) vr=FL, vm=2, type=1.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTIonBeamSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTIonBeamSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getApplicatorSequence() [1/2]

DRTApplicatorSequenceInRTIonBeamsModule & DRTIonBeamSequence::Item::getApplicatorSequence | ( |  | ) |

inline

get ApplicatorSequence (300a,0107)

Returns
  reference to sequence element

References ApplicatorSequence.

## getApplicatorSequence() [2/2]

const DRTApplicatorSequenceInRTIonBeamsModule & DRTIonBeamSequence::Item::getApplicatorSequence | ( |  | ) | const

inline

get ApplicatorSequence (300a,0107)

Returns
  const reference to sequence element

References ApplicatorSequence.

## getBeamDescription()

OFCondition DRTIonBeamSequence::Item::getBeamDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamDescription (300a,00c3)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBeamName()

OFCondition DRTIonBeamSequence::Item::getBeamName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamName (300a,00c2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBeamNumber() [1/2]

OFCondition DRTIonBeamSequence::Item::getBeamNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamNumber (300a,00c0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBeamNumber() [2/2]

OFCondition DRTIonBeamSequence::Item::getBeamNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get BeamNumber (300a,00c0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getBeamType()

OFCondition DRTIonBeamSequence::Item::getBeamType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamType (300a,00c4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDepthDoseParametersSequence() [1/2]

DRTDepthDoseParametersSequence & DRTIonBeamSequence::Item::getDepthDoseParametersSequence | ( |  | ) |

inline

get DepthDoseParametersSequence (300a,0505)

Returns
  reference to sequence element

References DepthDoseParametersSequence.

## getDepthDoseParametersSequence() [2/2]

const DRTDepthDoseParametersSequence & DRTIonBeamSequence::Item::getDepthDoseParametersSequence | ( |  | ) | const

inline

get DepthDoseParametersSequence (300a,0505)

Returns
  const reference to sequence element

References DepthDoseParametersSequence.

## getDeviceSerialNumber()

OFCondition DRTIonBeamSequence::Item::getDeviceSerialNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeviceSerialNumber (0018,1000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getEntityLongLabel()

OFCondition DRTIonBeamSequence::Item::getEntityLongLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get EntityLongLabel (3010,0038)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getFinalCumulativeMetersetWeight() [1/2]

OFCondition DRTIonBeamSequence::Item::getFinalCumulativeMetersetWeight | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get FinalCumulativeMetersetWeight (300a,010e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getFinalCumulativeMetersetWeight() [2/2]

OFCondition DRTIonBeamSequence::Item::getFinalCumulativeMetersetWeight | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get FinalCumulativeMetersetWeight (300a,010e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getFixationEye()

OFCondition DRTIonBeamSequence::Item::getFixationEye | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get FixationEye (300a,0150)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getFixationLightAzimuthalAngle()

OFCondition DRTIonBeamSequence::Item::getFixationLightAzimuthalAngle | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get FixationLightAzimuthalAngle (300a,0356)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getFixationLightPolarAngle()

OFCondition DRTIonBeamSequence::Item::getFixationLightPolarAngle | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get FixationLightPolarAngle (300a,0358)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getGeneralAccessorySequence() [1/2]

DRTGeneralAccessorySequenceInRTIonBeamsModule & DRTIonBeamSequence::Item::getGeneralAccessorySequence | ( |  | ) |

inline

get GeneralAccessorySequence (300a,0420)

Returns
  reference to sequence element

References GeneralAccessorySequence.

## getGeneralAccessorySequence() [2/2]

const DRTGeneralAccessorySequenceInRTIonBeamsModule & DRTIonBeamSequence::Item::getGeneralAccessorySequence | ( |  | ) | const

inline

get GeneralAccessorySequence (300a,0420)

Returns
  const reference to sequence element

References GeneralAccessorySequence.

## getInstitutionAddress()

OFCondition DRTIonBeamSequence::Item::getInstitutionAddress | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get InstitutionAddress (0008,0081)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstitutionalDepartmentName()

OFCondition DRTIonBeamSequence::Item::getInstitutionalDepartmentName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get InstitutionalDepartmentName (0008,1040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstitutionalDepartmentTypeCodeSequence() [1/2]

DRTInstitutionalDepartmentTypeCodeSequence & DRTIonBeamSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) |

inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## getInstitutionalDepartmentTypeCodeSequence() [2/2]

const DRTInstitutionalDepartmentTypeCodeSequence & DRTIonBeamSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) | const

inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  const reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## getInstitutionName()

OFCondition DRTIonBeamSequence::Item::getInstitutionName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get InstitutionName (0008,0080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getIonBeamLimitingDeviceSequence() [1/2]

DRTIonBeamLimitingDeviceSequence & DRTIonBeamSequence::Item::getIonBeamLimitingDeviceSequence | ( |  | ) |

inline

get IonBeamLimitingDeviceSequence (300a,03a4)

Returns
  reference to sequence element

References IonBeamLimitingDeviceSequence.

## getIonBeamLimitingDeviceSequence() [2/2]

const DRTIonBeamLimitingDeviceSequence & DRTIonBeamSequence::Item::getIonBeamLimitingDeviceSequence | ( |  | ) | const

inline

get IonBeamLimitingDeviceSequence (300a,03a4)

Returns
  const reference to sequence element

References IonBeamLimitingDeviceSequence.

## getIonBlockSequence() [1/2]

DRTIonBlockSequence & DRTIonBeamSequence::Item::getIonBlockSequence | ( |  | ) |

inline

get IonBlockSequence (300a,03a6)

Returns
  reference to sequence element

References IonBlockSequence.

## getIonBlockSequence() [2/2]

const DRTIonBlockSequence & DRTIonBeamSequence::Item::getIonBlockSequence | ( |  | ) | const

inline

get IonBlockSequence (300a,03a6)

Returns
  const reference to sequence element

References IonBlockSequence.

## getIonControlPointSequence() [1/2]

DRTIonControlPointSequence & DRTIonBeamSequence::Item::getIonControlPointSequence | ( |  | ) |

inline

get IonControlPointSequence (300a,03a8)

Returns
  reference to sequence element

References IonControlPointSequence.

## getIonControlPointSequence() [2/2]

const DRTIonControlPointSequence & DRTIonBeamSequence::Item::getIonControlPointSequence | ( |  | ) | const

inline

get IonControlPointSequence (300a,03a8)

Returns
  const reference to sequence element

References IonControlPointSequence.

## getIonRangeCompensatorSequence() [1/2]

DRTIonRangeCompensatorSequence & DRTIonBeamSequence::Item::getIonRangeCompensatorSequence | ( |  | ) |

inline

get IonRangeCompensatorSequence (300a,02ea)

Returns
  reference to sequence element

References IonRangeCompensatorSequence.

## getIonRangeCompensatorSequence() [2/2]

const DRTIonRangeCompensatorSequence & DRTIonBeamSequence::Item::getIonRangeCompensatorSequence | ( |  | ) | const

inline

get IonRangeCompensatorSequence (300a,02ea)

Returns
  const reference to sequence element

References IonRangeCompensatorSequence.

## getIonWedgeSequence() [1/2]

DRTIonWedgeSequence & DRTIonBeamSequence::Item::getIonWedgeSequence | ( |  | ) |

inline

get IonWedgeSequence (300a,03aa)

Returns
  reference to sequence element

References IonWedgeSequence.

## getIonWedgeSequence() [2/2]

const DRTIonWedgeSequence & DRTIonBeamSequence::Item::getIonWedgeSequence | ( |  | ) | const

inline

get IonWedgeSequence (300a,03aa)

Returns
  const reference to sequence element

References IonWedgeSequence.

## getLateralSpreadingDeviceSequence() [1/2]

DRTLateralSpreadingDeviceSequence & DRTIonBeamSequence::Item::getLateralSpreadingDeviceSequence | ( |  | ) |

inline

get LateralSpreadingDeviceSequence (300a,0332)

Returns
  reference to sequence element

References LateralSpreadingDeviceSequence.

## getLateralSpreadingDeviceSequence() [2/2]

const DRTLateralSpreadingDeviceSequence & DRTIonBeamSequence::Item::getLateralSpreadingDeviceSequence | ( |  | ) | const

inline

get LateralSpreadingDeviceSequence (300a,0332)

Returns
  const reference to sequence element

References LateralSpreadingDeviceSequence.

## getManufacturer()

OFCondition DRTIonBeamSequence::Item::getManufacturer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get Manufacturer (0008,0070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getManufacturerModelName()

OFCondition DRTIonBeamSequence::Item::getManufacturerModelName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ManufacturerModelName (0008,1090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getModulatedScanModeType()

OFCondition DRTIonBeamSequence::Item::getModulatedScanModeType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ModulatedScanModeType (300a,0309)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfBlocks() [1/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfBlocks | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfBlocks (300a,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfBlocks() [2/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfBlocks | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfBlocks (300a,00f0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfBoli() [1/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfBoli | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfBoli (300a,00ed)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfBoli() [2/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfBoli | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfBoli (300a,00ed)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfCompensators() [1/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfCompensators | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfCompensators (300a,00e0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfCompensators() [2/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfCompensators | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfCompensators (300a,00e0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfControlPoints() [1/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfControlPoints | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfControlPoints (300a,0110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfControlPoints() [2/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfControlPoints | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfControlPoints (300a,0110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfLateralSpreadingDevices() [1/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfLateralSpreadingDevices | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfLateralSpreadingDevices (300a,0330)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfLateralSpreadingDevices() [2/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfLateralSpreadingDevices | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfLateralSpreadingDevices (300a,0330)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfRangeModulators() [1/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfRangeModulators | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfRangeModulators (300a,0340)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfRangeModulators() [2/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfRangeModulators | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfRangeModulators (300a,0340)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfRangeShifters() [1/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfRangeShifters | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfRangeShifters (300a,0312)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfRangeShifters() [2/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfRangeShifters | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfRangeShifters (300a,0312)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfWedges() [1/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfWedges | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfWedges (300a,00d0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfWedges() [2/2]

OFCondition DRTIonBeamSequence::Item::getNumberOfWedges | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfWedges (300a,00d0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSupportAccessoryCode()

OFCondition DRTIonBeamSequence::Item::getPatientSupportAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSupportAccessoryCode (300a,0354)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSupportID()

OFCondition DRTIonBeamSequence::Item::getPatientSupportID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSupportID (300a,0352)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSupportType()

OFCondition DRTIonBeamSequence::Item::getPatientSupportType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PatientSupportType (300a,0350)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPrimaryDosimeterUnit()

OFCondition DRTIonBeamSequence::Item::getPrimaryDosimeterUnit | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PrimaryDosimeterUnit (300a,00b3)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getRadiationAtomicNumber() [1/2]

OFCondition DRTIonBeamSequence::Item::getRadiationAtomicNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RadiationAtomicNumber (300a,0304)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getRadiationAtomicNumber() [2/2]

OFCondition DRTIonBeamSequence::Item::getRadiationAtomicNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get RadiationAtomicNumber (300a,0304)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getRadiationChargeState()

OFCondition DRTIonBeamSequence::Item::getRadiationChargeState | ( | Sint16 & | value,
|  | const unsigned long | pos = 0 ) const

get RadiationChargeState (300a,0306)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getRadiationMassNumber() [1/2]

OFCondition DRTIonBeamSequence::Item::getRadiationMassNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RadiationMassNumber (300a,0302)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getRadiationMassNumber() [2/2]

OFCondition DRTIonBeamSequence::Item::getRadiationMassNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get RadiationMassNumber (300a,0302)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getRadiationType()

OFCondition DRTIonBeamSequence::Item::getRadiationType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RadiationType (300a,00c6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getRangeModulatorSequence() [1/2]

DRTRangeModulatorSequence & DRTIonBeamSequence::Item::getRangeModulatorSequence | ( |  | ) |

inline

get RangeModulatorSequence (300a,0342)

Returns
  reference to sequence element

References RangeModulatorSequence.

## getRangeModulatorSequence() [2/2]

const DRTRangeModulatorSequence & DRTIonBeamSequence::Item::getRangeModulatorSequence | ( |  | ) | const

inline

get RangeModulatorSequence (300a,0342)

Returns
  const reference to sequence element

References RangeModulatorSequence.

## getRangeShifterSequence() [1/2]

DRTRangeShifterSequence & DRTIonBeamSequence::Item::getRangeShifterSequence | ( |  | ) |

inline

get RangeShifterSequence (300a,0314)

Returns
  reference to sequence element

References RangeShifterSequence.

## getRangeShifterSequence() [2/2]

const DRTRangeShifterSequence & DRTIonBeamSequence::Item::getRangeShifterSequence | ( |  | ) | const

inline

get RangeShifterSequence (300a,0314)

Returns
  const reference to sequence element

References RangeShifterSequence.

## getReferencedBolusSequence() [1/2]

DRTReferencedBolusSequenceInRTIonBeamsModule & DRTIonBeamSequence::Item::getReferencedBolusSequence | ( |  | ) |

inline

get ReferencedBolusSequence (300c,00b0)

Returns
  reference to sequence element

References ReferencedBolusSequence.

## getReferencedBolusSequence() [2/2]

const DRTReferencedBolusSequenceInRTIonBeamsModule & DRTIonBeamSequence::Item::getReferencedBolusSequence | ( |  | ) | const

inline

get ReferencedBolusSequence (300c,00b0)

Returns
  const reference to sequence element

References ReferencedBolusSequence.

## getReferencedDoseSequence() [1/2]

DRTReferencedDoseSequence & DRTIonBeamSequence::Item::getReferencedDoseSequence | ( |  | ) |

inline

get ReferencedDoseSequence (300c,0080)

Returns
  reference to sequence element

References ReferencedDoseSequence.

## getReferencedDoseSequence() [2/2]

const DRTReferencedDoseSequence & DRTIonBeamSequence::Item::getReferencedDoseSequence | ( |  | ) | const

inline

get ReferencedDoseSequence (300c,0080)

Returns
  const reference to sequence element

References ReferencedDoseSequence.

## getReferencedPatientSetupNumber() [1/2]

OFCondition DRTIonBeamSequence::Item::getReferencedPatientSetupNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedPatientSetupNumber (300c,006a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReferencedPatientSetupNumber() [2/2]

OFCondition DRTIonBeamSequence::Item::getReferencedPatientSetupNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedPatientSetupNumber (300c,006a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getReferencedReferenceImageSequence() [1/2]

DRTReferencedReferenceImageSequenceInRTIonBeamsModule & DRTIonBeamSequence::Item::getReferencedReferenceImageSequence | ( |  | ) |

inline

get ReferencedReferenceImageSequence (300c,0042)

Returns
  reference to sequence element

References ReferencedReferenceImageSequence.

## getReferencedReferenceImageSequence() [2/2]

const DRTReferencedReferenceImageSequenceInRTIonBeamsModule & DRTIonBeamSequence::Item::getReferencedReferenceImageSequence | ( |  | ) | const

inline

get ReferencedReferenceImageSequence (300c,0042)

Returns
  const reference to sequence element

References ReferencedReferenceImageSequence.

## getReferencedToleranceTableNumber() [1/2]

OFCondition DRTIonBeamSequence::Item::getReferencedToleranceTableNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedToleranceTableNumber (300c,00a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReferencedToleranceTableNumber() [2/2]

OFCondition DRTIonBeamSequence::Item::getReferencedToleranceTableNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedToleranceTableNumber (300c,00a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getScanMode()

OFCondition DRTIonBeamSequence::Item::getScanMode | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ScanMode (300a,0308)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSnoutSequence() [1/2]

DRTSnoutSequence & DRTIonBeamSequence::Item::getSnoutSequence | ( |  | ) |

inline

get SnoutSequence (300a,030c)

Returns
  reference to sequence element

References SnoutSequence.

## getSnoutSequence() [2/2]

const DRTSnoutSequence & DRTIonBeamSequence::Item::getSnoutSequence | ( |  | ) | const

inline

get SnoutSequence (300a,030c)

Returns
  const reference to sequence element

References SnoutSequence.

## getTotalBlockTrayWaterEquivalentThickness()

OFCondition DRTIonBeamSequence::Item::getTotalBlockTrayWaterEquivalentThickness | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get TotalBlockTrayWaterEquivalentThickness (300a,00f3)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTotalCompensatorTrayWaterEquivalentThickness()

OFCondition DRTIonBeamSequence::Item::getTotalCompensatorTrayWaterEquivalentThickness | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get TotalCompensatorTrayWaterEquivalentThickness (300a,02e3)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTotalWedgeTrayWaterEquivalentThickness()

OFCondition DRTIonBeamSequence::Item::getTotalWedgeTrayWaterEquivalentThickness | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get TotalWedgeTrayWaterEquivalentThickness (300a,00d7)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTreatmentDeliveryType()

OFCondition DRTIonBeamSequence::Item::getTreatmentDeliveryType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TreatmentDeliveryType (300a,00ce)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTreatmentMachineName()

OFCondition DRTIonBeamSequence::Item::getTreatmentMachineName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TreatmentMachineName (300a,00b2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getVirtualSourceAxisDistances()

OFCondition DRTIonBeamSequence::Item::getVirtualSourceAxisDistances | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get VirtualSourceAxisDistances (300a,030a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTIonBeamSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTIonBeamSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTIonBeamSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTIonBeamSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setBeamDescription()

OFCondition DRTIonBeamSequence::Item::setBeamDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamDescription (300a,00c3)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setBeamName()

OFCondition DRTIonBeamSequence::Item::setBeamName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamName (300a,00c2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setBeamNumber()

OFCondition DRTIonBeamSequence::Item::setBeamNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamNumber (300a,00c0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setBeamType()

OFCondition DRTIonBeamSequence::Item::setBeamType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamType (300a,00c4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDeviceSerialNumber()

OFCondition DRTIonBeamSequence::Item::setDeviceSerialNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeviceSerialNumber (0018,1000)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setEntityLongLabel()

OFCondition DRTIonBeamSequence::Item::setEntityLongLabel | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set EntityLongLabel (3010,0038)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setFinalCumulativeMetersetWeight()

OFCondition DRTIonBeamSequence::Item::setFinalCumulativeMetersetWeight | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set FinalCumulativeMetersetWeight (300a,010e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setFixationEye()

OFCondition DRTIonBeamSequence::Item::setFixationEye | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set FixationEye (300a,0150)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setFixationLightAzimuthalAngle()

OFCondition DRTIonBeamSequence::Item::setFixationLightAzimuthalAngle | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set FixationLightAzimuthalAngle (300a,0356)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setFixationLightPolarAngle()

OFCondition DRTIonBeamSequence::Item::setFixationLightPolarAngle | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set FixationLightPolarAngle (300a,0358)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstitutionAddress()

OFCondition DRTIonBeamSequence::Item::setInstitutionAddress | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set InstitutionAddress (0008,0081)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstitutionalDepartmentName()

OFCondition DRTIonBeamSequence::Item::setInstitutionalDepartmentName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set InstitutionalDepartmentName (0008,1040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstitutionName()

OFCondition DRTIonBeamSequence::Item::setInstitutionName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set InstitutionName (0008,0080)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setManufacturer()

OFCondition DRTIonBeamSequence::Item::setManufacturer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set Manufacturer (0008,0070)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setManufacturerModelName()

OFCondition DRTIonBeamSequence::Item::setManufacturerModelName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ManufacturerModelName (0008,1090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setModulatedScanModeType()

OFCondition DRTIonBeamSequence::Item::setModulatedScanModeType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ModulatedScanModeType (300a,0309)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfBlocks()

OFCondition DRTIonBeamSequence::Item::setNumberOfBlocks | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfBlocks (300a,00f0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfBoli()

OFCondition DRTIonBeamSequence::Item::setNumberOfBoli | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfBoli (300a,00ed)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfCompensators()

OFCondition DRTIonBeamSequence::Item::setNumberOfCompensators | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfCompensators (300a,00e0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfControlPoints()

OFCondition DRTIonBeamSequence::Item::setNumberOfControlPoints | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfControlPoints (300a,0110)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfLateralSpreadingDevices()

OFCondition DRTIonBeamSequence::Item::setNumberOfLateralSpreadingDevices | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfLateralSpreadingDevices (300a,0330)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfRangeModulators()

OFCondition DRTIonBeamSequence::Item::setNumberOfRangeModulators | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfRangeModulators (300a,0340)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfRangeShifters()

OFCondition DRTIonBeamSequence::Item::setNumberOfRangeShifters | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfRangeShifters (300a,0312)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfWedges()

OFCondition DRTIonBeamSequence::Item::setNumberOfWedges | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfWedges (300a,00d0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSupportAccessoryCode()

OFCondition DRTIonBeamSequence::Item::setPatientSupportAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSupportAccessoryCode (300a,0354)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSupportID()

OFCondition DRTIonBeamSequence::Item::setPatientSupportID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSupportID (300a,0352)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSupportType()

OFCondition DRTIonBeamSequence::Item::setPatientSupportType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PatientSupportType (300a,0350)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPrimaryDosimeterUnit()

OFCondition DRTIonBeamSequence::Item::setPrimaryDosimeterUnit | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PrimaryDosimeterUnit (300a,00b3)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setRadiationAtomicNumber()

OFCondition DRTIonBeamSequence::Item::setRadiationAtomicNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RadiationAtomicNumber (300a,0304)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setRadiationChargeState()

OFCondition DRTIonBeamSequence::Item::setRadiationChargeState | ( | const Sint16 | value,
|  | const unsigned long | pos = 0 )

set RadiationChargeState (300a,0306)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setRadiationMassNumber()

OFCondition DRTIonBeamSequence::Item::setRadiationMassNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RadiationMassNumber (300a,0302)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setRadiationType()

OFCondition DRTIonBeamSequence::Item::setRadiationType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RadiationType (300a,00c6)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReferencedPatientSetupNumber()

OFCondition DRTIonBeamSequence::Item::setReferencedPatientSetupNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedPatientSetupNumber (300c,006a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReferencedToleranceTableNumber()

OFCondition DRTIonBeamSequence::Item::setReferencedToleranceTableNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedToleranceTableNumber (300c,00a0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setScanMode()

OFCondition DRTIonBeamSequence::Item::setScanMode | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ScanMode (300a,0308)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTotalBlockTrayWaterEquivalentThickness()

OFCondition DRTIonBeamSequence::Item::setTotalBlockTrayWaterEquivalentThickness | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set TotalBlockTrayWaterEquivalentThickness (300a,00f3)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setTotalCompensatorTrayWaterEquivalentThickness()

OFCondition DRTIonBeamSequence::Item::setTotalCompensatorTrayWaterEquivalentThickness | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set TotalCompensatorTrayWaterEquivalentThickness (300a,02e3)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setTotalWedgeTrayWaterEquivalentThickness()

OFCondition DRTIonBeamSequence::Item::setTotalWedgeTrayWaterEquivalentThickness | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set TotalWedgeTrayWaterEquivalentThickness (300a,00d7)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setTreatmentDeliveryType()

OFCondition DRTIonBeamSequence::Item::setTreatmentDeliveryType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TreatmentDeliveryType (300a,00ce)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTreatmentMachineName()

OFCondition DRTIonBeamSequence::Item::setTreatmentMachineName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TreatmentMachineName (300a,00b2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setVirtualSourceAxisDistances()

OFCondition DRTIonBeamSequence::Item::setVirtualSourceAxisDistances | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set VirtualSourceAxisDistances (300a,030a)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTIonBeamSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtibs.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0